POST /v1/inventory_requests/{id}/trigger_fba_eligibility_check

The process for using this endpoint is twofold.

1) Call this endpoint /trigger_fba_eligibility_check for an IR to trigger LE checks on its items. 2) Poll the /list_eligibility_checks endpoint for that same IR to learn the results.

On average, it takes between 30 seconds to 2 minutes for a batch of LE checks to finish. The larger the IR the longer it can take. It is important to pay attention to LE checks because it can significantly delay receipt of your inventory if there are listing issues.

Path parameters

  • id string Required

    Inventory Request IR number

application/json

Body

  • listing_ids array[integer] Required

    Array of listing IDs to trigger eligibility check for

Responses

  • 200 application/json

    FBA eligibility check queued successfully

    Hide response attributes Show response attributes object
    • success boolean
    • message string
    • queued_listing_ids array[integer]
  • 400

    Bad Request - validation failure

  • 404

    Inventory request not found

  • 401

    Unauthorized - missing org_id

POST /v1/inventory_requests/{id}/trigger_fba_eligibility_check
curl \
 --request POST 'https://api.pattern.com/hub/v1/inventory_requests/{id}/trigger_fba_eligibility_check' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"listing_ids":[42]}'
Request examples
{
  "listing_ids": [
    42
  ]
}
Response examples (200)
{
  "success": true,
  "message": "string",
  "queued_listing_ids": [
    42
  ]
}